class Utilities
{
   // Prevent Utilities from being instantiated by declaring a
   // private noargument constructor.

   private Utilities()
   {
   }

   static double average(double[] values)
   {
      double sum = 0.0;
      for (int i = 0; i < values.length; i++)
         sum += values[i];
      return sum / values.length;
   }

   static void copy() throws java.io.IOException // I'll discuss throws and 
   {                                             // exceptions in a future 
      while (true)                               // article.
      {
         int _byte = System.in.read();
         if (_byte == -1)
            return;
         System.out.print((char) _byte);
      }
   }

   static int factorial(int n)
   {
      if (n == 1)
         return 1; // base problem
      else
         return n * factorial(n - 1);
   }

   static int search(int[] values, int srchValue)
   {
      for (int i = 0; i < values.length; i++)
         if (values[i] == srchValue)
            return i; // return index of found value
      return -1; // -1 is an invalid index, so it's useful for indicating 
                 // "value not found".
   }
}